/**********************************************************************
 * Copyright (C) 20014-2015 by Vidisolve (Pty) Ltd.                   *
 * All Rights Reserved.                                               *
 *                                                                    *
 *  Software is distributed on an "AS IS", WITHOUT WARRANTY OF ANY    *
 *   KIND, either express or implied.                                 *
 *                                                                    *
 *  Contributors:                                                     *
 *                                                                    *
 **********************************************************************/
/*------------------------------------------------------------------------
    File        : pLogin.p
    Purpose     :

    Syntax      :

    Description :

    Author(s)   :
    Created     : Tue Jun 09 20:44:21 CAT 2015
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

BLOCK-LEVEL ON ERROR UNDO, THROW.

/* ***************************  Main Block  *************************** */
DEFINE INPUT  PARAMETER pLoginID   AS CHARACTER NO-UNDO.
DEFINE INPUT  PARAMETER pPasswd    AS CHARACTER NO-UNDO.


DEFINE VARIABLE hCP AS HANDLE NO-UNDO.

SECURITY-POLICY:LOAD-DOMAINS("security").

CREATE CLIENT-PRINCIPAL hCP.

hCP:INITIALIZE (pLoginID).
hCP:PRIMARY-PASSPHRASE = pPasswd.

SET-DB-CLIENT(hCP,"security").

IF SESSION:REMOTE
THEN SESSION:CURRENT-RESPONSE-INFO:SetClientPrincipal(hCP).
ELSE SECURITY-POLICY:SET-CLIENT (hCP) .

